< Back
 

# Packages

-  package root
  Definition Classes
    root
-  package uk
  Definition Classes
    root
-  package gov
  Definition Classes
    uk
-  package hmrc
  Definition Classes
    gov
-  package audit
  Definition Classes
    hmrc
-  package serialiser
  Definition Classes
    audit
- AuditSerialiser
- AuditSerialiserLike
- DateWriter

o

uk.gov.hmrc.audit.serialiser

# AuditSerialiser 

###
Companion class AuditSerialiser

#### object AuditSerialiser extends AuditSerialiser

Linear Supertypes
AuditSerialiser, AuditSerialiserLike, AnyRef, Any
 
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. AuditSerialiser
2. AuditSerialiser
3. AuditSerialiserLike
4. AnyRef
5. Any

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##(): Int
   Definition Classes
     AnyRef → Any
3.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
4.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
5.  def clone(): AnyRef
   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... ) @native()
6.  implicit val dataCallWriter: Writes[DataCall]
   Definition Classes
     AuditSerialiser
7.  implicit val dataEventWriter: Writes[DataEvent]
   Definition Classes
     AuditSerialiser
8.  implicit val dateWriter: Writes[DateTime]
   Definition Classes
     AuditSerialiser
9.  final def eq(arg0: AnyRef): Boolean
   Definition Classes
     AnyRef
10.  def equals(arg0: Any): Boolean
    Definition Classes
      AnyRef → Any
11.  implicit val extendedDataEventWriter: Writes[ExtendedDataEvent]
    Definition Classes
      AuditSerialiser
12.  def finalize(): Unit
    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )
13.  final def getClass(): Class[_]
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
14.  def hashCode(): Int
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
15.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
16.  implicit val mergedDataEventWriter: Writes[MergedDataEvent]
    Definition Classes
      AuditSerialiser
17.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
18.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
19.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
20.  def serialise(event: MergedDataEvent): String
    Definition Classes
      AuditSerialiser → AuditSerialiserLike
21.  def serialise(event: ExtendedDataEvent): String
    Definition Classes
      AuditSerialiser → AuditSerialiserLike
22.  def serialise(event: DataEvent): String
    Definition Classes
      AuditSerialiser → AuditSerialiserLike
23.  final def synchronized[T0](arg0: ⇒ T0): T0
    Definition Classes
      AnyRef
24.  def toString(): String
    Definition Classes
      AnyRef → Any
25.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
26.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
27.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... ) @native()

### Inherited from AuditSerialiser

### Inherited from AuditSerialiserLike

### Inherited from AnyRef

### Inherited from Any

### Ungrouped